pkgsrc/x11/kdebase3/patches/patch-aa
markd 1bf8a5c8a4 Update to KDE-3.1.5.
Changes:
* konqueror: Fixed "Location bar forgets what you type if you dont press
  enter and change tabs"
* konqueror: Fixed "tabs resize (shrink) when clicked on while loading"
* konqueror: Don't show hardcoded shortcuts in tab context menu
* konqueror: Made "Detach Tab" create new konqueror window of proper size
* konqueror: Set location bar URL for new tabs immediately
* konsole: Fixed "List Sessions" feature.

Also add a kdm rc.d script (from Julio M. Merino Vidal)
2004-01-15 10:15:14 +00:00

109 lines
3 KiB
Text

$NetBSD: patch-aa,v 1.11 2004/01/15 10:15:14 markd Exp $
--- configure.orig 2003-12-17 14:22:44.000000000 +1300
+++ configure
@@ -22983,7 +22983,7 @@ if { (eval echo "$as_me:$LINENO: \"$kde_
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- if test -f actest.cpp && grep klineedit actest.cpp > /dev/null; then
+ if test -f actest.cpp && grep -i klineedit actest.cpp > /dev/null; then
kde_cv_uic_plugins=yes
fi
fi
@@ -31436,63 +31436,6 @@ _ACEOF
- echo "$as_me:$LINENO: checking sizeof(size_t) == sizeof(unsigned long)" >&5
-echo $ECHO_N "checking sizeof(size_t) == sizeof(unsigned long)... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
-/* #line $LINENO "configure" */
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-int
-main ()
-{
-
- #if SIZEOF_SIZE_T != SIZEOF_UNSIGNED_LONG
- choke me
- #endif
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
- { { echo "$as_me:$LINENO: error:
- Apparently on your system our assumption sizeof(size_t) == sizeof(unsigned long)
- does not apply. Please mail kde-devel@kde.org with a description of your system!
- " >&5
-echo "$as_me: error:
- Apparently on your system our assumption sizeof(size_t) == sizeof(unsigned long)
- does not apply. Please mail kde-devel@kde.org with a description of your system!
- " >&2;}
- { (exit 1); exit 1; }; }
-
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-
-
echo "$as_me:$LINENO: checking if it's safe to enable UTMP" >&5
echo $ECHO_N "checking if it's safe to enable UTMP... $ECHO_C" >&6
@@ -33636,6 +33579,23 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
ac_cv_have_dpms="-lXdpms"
+ lib=Xdpms
+ shared_lib_found=no
+ for i in ${LDFLAGS}; do
+ case "$i" in
+ -L*)
+ dir=`echo $i | sed "s,^-L,,"`
+ if [ -e $dir/lib${lib}.so ] ||
+ [ "`echo $dir/lib${lib}.so.*`" != "$dir/lib${lib}.so.*" ]; then
+ shared_lib_found=yes
+ break;
+ fi
+ esac
+ done
+ if [ "$shared_lib_found" = "no" ]; then
+ eval "ac_cv_have_dpms=no"
+ fi
+
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
@@ -38585,6 +38545,7 @@ fi
case "$UNAME" in
Linux) LIBHOSTS="$LIBSENSORS" ;;
FreeBSD) LIBHOSTS="$LIBSENSORS -lkvm" ;;
+ NetBSD) LIBHOSTS="$LIBSENSORS -lkvm" ;;
Solaris) LIBHOSTS="$LIBSENSORS -lkstat -lsocket" ;;
esac